_

Linia śrubowa

Archiwum grupy newsowej pl.comp.cad. Na razie tylko do czytania i przeszukiwania.

Linia śrubowa

Postprzez gumiś » kwi 12, 1999 15:58

Witam!
Małe pytanko:
W jaki sposób (możliwie najprostszy) narysować w AutoCadzie R14 linię
śrubową 3D?
gumiś
 

Re: Linia śrubowa

Postprzez amalolepszy » kwi 12, 1999 19:01

gumiś napisał(a) w wiadomości: <3711FC01.17E0BD85@box43.gnet.pl>...
>Witam!
>Małe pytanko:
>W jaki sposób (możliwie najprostszy) narysować w AutoCadzie R14 linię
>śrubową 3D?
>
Chyba tylko programik w lisp’ie
Anzelm
amalolepszy
 

Re: Linia śrubowa

Postprzez mazzi » kwi 12, 1999 19:47

gumiś napisał(a) w wiadomości: ...
>Witam!
>Małe pytanko:
>W jaki sposób (możliwie najprostszy) narysować w AutoCadzie R14 linię
>śrubową 3D?
Też witam.A oto sposób:
; POCZATEK PLIKU HELIX.LSP
;********************************HELIX.LSP ********************************
; Ryszard Niewisiewicz 1995, 1998
;
; Tworzy helise o zadanym promieniu, skoku i ilosci zwojow z poczatkiem
; w punkcie 0,0,0 podstawowego ukladu wspolrzednych (WCS) skierowana
; zgodnie z dodatnik kierunkiem osi Z. Jest ona tworzona jako polilinia
; przestrzenna skladajaca sie z odcinkow prostoliniowych.
; Ladowanie:
; (load "helix")
; Wykonanie:
; helix
;
; Uwaga: podanie ujemnej liczby zwojow i ujemnego skoku powoduje powstanie
; helisy prawozwojnej - nalezaloby ustalic jakas konwencje.
;**************************************************************************
(defun dtor (a)
(/ (* a pi) 180.0))
(defun chelix (ntimes rad cfac ainc / lpass tp ainc hinc)
(setq circle (* pi 2))
(print (setq lpass (fix (abs (/ (* pi 2.0 ntimes) ainc)))))
(print (setq ainc (/ (* pi 2.0 ntimes) lpass)))
(print (setq hinc (/ (* cfac (abs ntimes)) lpass)))
(entmake
’(
(0 . "POLYLINE")
(70 . 8)
(66 . 1)
(8 . "HELIX")))
(setq i 0.0)
(repeat (+ lpass 1)
(entmake
(list
’(0 . "VERTEX")
(cons
10
(polar
(list 0.0 0.0 (* hinc i))
(* ainc i)
rad))
’(70 . 32)
’(8 . "HELIX")))
(setq i (1+ i)))
(entmake
’(
(0 . "SEQEND")
(8 . "HELIX")))
)
;
; Pobranie danych wejjciowych
;
(defun C:HELIX ( / nt rad cf ainc)
(initget 7) ; rad nie moze byc zerowe, ujemne lub puste
(setq rad (getdist "
Promien helisy: "))
(initget 3) ; nt ujemne - lewoskretna, nie moze byc zerowe lub puste
(setq nt (getreal "
Liczba obrotow (wartosc ujemna - helisa lewoskretna):
"))
(initget 3) ; cf ujmne - do dolu, nie moze byc zerowe lub puste
(setq cf (getdist "
Skok (wartosc ujemna - helisa w dol): "))
(initget 6) ; ainc nie moze byc zerowe lub ujemne
(setq ainc (getangle ’(0 0 0) "
Przyrost <1d>: "))
(cond ((null ainc) (setq ainc (dtor 1.0))))
(chelix nt rad cf ainc)
(princ)
)
; KONIEC PLIKU HELIX.LSP
Pozdrawiam - Krzysiek
______________________________________________________________________
http://www.polbox.com/m/mazzi
mailto:mazzi@polbox.com
mazzi
 

Re: Linia śrubowa

Postprzez jackiw » kwi 13, 1999 00:53

No właśnie a w Solid Worksie to takie proste!
jackiw@stanton.bmd.put.poznan.pl

Anzelm napisał(a):

> gumiś napisał(a) w wiadomości: <3711FC01.17E0BD85@box43.gnet.pl>...
> >Witam!
> >Małe pytanko:
> >W jaki sposób (możliwie najprostszy) narysować w AutoCadzie R14 linię
> >śrubowš 3D?
> >
> Chyba tylko programik w lisp’ie
> Anzelm
jackiw
 

Re: Linia śrubowa

Postprzez TGrzyb » kwi 13, 1999 08:49

>No właśnie a w Solid Worksie to takie proste!
>jackiw@stanton.bmd.put.poznan.pl



Masz rację a w AMD jescze bardziej !!!! - do tego parametrycznie
TGrzyb
 

Re: Linia śrubowa

Postprzez mikNOSPAM » kwi 13, 1999 08:54

> Masz rację a w AMD jescze bardziej !!!! - do tego parametrycznie


Nie mówiąc o MicroStation (jest do tego nawet ikona!)

Michał
mikNOSPAM
 

Re: Linia śrubowa

Postprzez ivony23 » kwi 15, 1999 18:36

nie wspominajac juz o IDEAS-ie
Michal
ivony23
 

Re: Linia śrubowa

Postprzez zjawa1 » kwi 19, 1999 17:59

Przekopiuj z ACAD R12 ( to nie pomyłka) plik 3DSPIRAL.lsp do Support ( W
acad R14) i wydaj komendę 3DSpiral. I to tyle.
zjawa1
 


Powrót do pl.comp.cad

Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników